Bug 1248752 - Client pki-tools missing tomcat-servlet dependency
Client pki-tools missing tomcat-servlet dependency
Status: MODIFIED
Product: Dogtag Certificate System
Classification: Community
Component: Tools - Java (Show other bugs)
10.2
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Ben Levenson
:
Depends On:
Blocks: 1252988
  Show dependency treegraph
 
Reported: 2015-07-30 14:27 EDT by John Cosgrove
Modified: 2015-11-08 20:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1252988 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Cosgrove 2015-07-30 14:27:17 EDT
Description of problem: When querying a CA with the client-side pki command and the cert-find subcommand, no HTTP request is actually generated / sent and a java stack trace is output. After installing the tomcat-servlet package on the client, the command behaves as expected.

Version-Release number of selected component (if applicable): pki-tools 10.2.5-1

How reproducible: 100% of the time

Steps to Reproduce:
1. install fedora 22
2. install pki-tools without installing tomcat-servlet
3. query a CA with cert-find:
   pki -v -C ~/.pki.password -U 'https://<host>:8443/ca' cert-find --status REVOKED

Actual results:
No HTTP request leaves the machine; java trace stack starts with "ava.lang.NoClassDefFoundError: javax/servlet/http/HttpServletRequest"

Expected results:
List of certs that match query structure. 

Additional info:
'cert-show' works fine without tomcat-servlet package, for some reason. Fedora 22 fix is to install tomcat-servlet.
Comment 1 Josh Cain 2015-07-31 10:39:18 EDT
I was also able to reproduce the bug with the steps above.  However, I was able to get away with grabbing just the servlet-api import:

wget http://search.maven.org/remotecontent?filepath=javax/servlet/servlet-api/2.5/servlet-api-2.5.jar -O /usr/share/java/servlet-api-2.5.jar
Comment 2 Matthew Harmsen 2015-08-09 16:19:44 EDT
Fixed in master: 52547567fee5e32b58e69c017546cc20f87fbef9

Note You need to log in before you can comment on or make changes to this bug.